using System;
using System.Xml;
using System.Web.UI;
using System.Web.UI.WebControls.WebParts;

namespace WebPartsDemo
{
    public class DailyLinkWebPart : WebPart
    {
        protected override void RenderContents(HtmlTextWriter writer)
        {
            try
            {
                XmlDocument xml = new XmlDocument();
                xml.Load(AppDomain.CurrentDomain.BaseDirectory + "App_Data/Links.xml");
                XmlNodeList nl = xml.SelectNodes("Links/Link");
                int index = new Random().Next(nl.Count);
                XmlNode n = nl[index];
                string url = n.SelectSingleNode("Url/text()").Value;
                string title = n.SelectSingleNode("Title/text()").Value;
                writer.Write("<a href=\"" + url + "\">" + title + "</a>");
            }
            catch (Exception ex)
            {
                writer.Write("<i>Servizio non disponibile</i>");
            }
        }
    }
}