<%@ Page Language="C#" %>

<%@ Register TagPrefix="wpd" Namespace="WebPartsDemo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void btnCustomize_Click(object sender, EventArgs e)
    {
        WebPartManager1.DisplayMode = WebPartManager.CatalogDisplayMode;
    }
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>WebParts DEMO</title>
     <link type="text/css" rel="stylesheet" href="demo.css" media="all">
</head>
<body>
    <form id="form1" runat="server">
    <div id="container">
        <asp:WebPartManager id="WebPartManager1" runat="server" />
        <div id="header">
            <asp:LinkButton id="btnCustomize" runat="server" Text="Personalizza" OnClick="btnCustomize_Click" />
        </div>
        <div id="zone1">
            <asp:WebPartZone id="WebPartZone1" runat="server" Width="100%" HeaderText="Zona 1"></asp:WebPartZone>
        </div>
        <div id="zone2">
             <asp:WebPartZone id="WebPartZone2" runat="server" Width="100%" HeaderText="Zona 2" ></asp:WebPartZone>
        </div>
        <div id="catalog">
            <asp:CatalogZone id="CatalogZone1" runat="server" HeaderText="Gestione WebPart">
                <ZoneTemplate>
                    <asp:DeclarativeCatalogPart id="DeclarativeCatalogPart1" runat="server" Title="Predefinite:" ChromeType="TitleOnly">
                        <WebPartsTemplate>
                            <wpd:DailyLinkWebPart id="DailyLinkWebPart1" runat="server" Title="Link del giorno" />
                        </WebPartsTemplate>
                    </asp:DeclarativeCatalogPart>
                </ZoneTemplate>
            </asp:CatalogZone>
        </div>
        <div id="footer">&copy; 2006 - <b>Matteo Casati</b> per <a href="http://www.aspitalia.com/">ASPItalia.com</a>. Tutti i diritti riservati.</div>
    </div>
    </form>
</body>
</html>
